Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -5215,24 +5233,24 @@
 	 * @param	mixed		Permission restrictions to observe: Either an integer that will be bitwise AND'ed or a string, which points to a key in the ->pMap array
 	 * @return	boolean		Returns true if the record given by $table, $id and $perms can be selected
 	 */
-	function doesRecordExist($table,$id,$perms)	{
+	function doesRecordExist($table, $id, $perms) {
 		global $TCA;
 
-		if ($this->bypassAccessCheckForRecords)	{
+		if ($this->bypassAccessCheckForRecords) {
-			return is_array(t3lib_BEfunc::getRecordRaw($table,'uid='.intval($id),'uid'));
+			return is_array(t3lib_BEfunc::getRecordRaw($table, 'uid=' . intval($id), 'uid'));
 		}
 
 		$res = 0;
 		$id = intval($id);
 
 			// Processing the incoming $perms (from possible string to integer that can be AND'ed)
-		if (!t3lib_div::testInt($perms))	{
+		if (!t3lib_div::testInt($perms)) {
-			if ($table!='pages')	{
+			if ($table != 'pages') {
-				switch($perms)	{
+				switch ($perms) {
 					case 'edit':
 					case 'delete':
 					case 'new':
-						$perms = 'editcontent';		// This holds it all in case the record is not page!!
+						$perms = 'editcontent'; // This holds it all in case the record is not page!!
 					break;
 				}
 			}
@@ -5249,22 +5267,22 @@
 		}
 
 			// For all tables: Check if record exists:
-		if (is_array($TCA[$table]) && $id>0 && ($this->isRecordInWebMount($table,$id) || $this->admin))	{
+		if (is_array($TCA[$table]) && $id > 0 && ($this->isRecordInWebMount($table, $id) || $this->admin)) {
-			if ($table != 'pages')	{
+			if ($table != 'pages') {
 
 					// Find record without checking page:
-				$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid,pid', $table, 'uid='.intval($id).$this->deleteClause($table));	// THIS SHOULD CHECK FOR editlock I think!
+				$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid,pid', $table, 'uid=' . intval($id) . $this->deleteClause($table)); // THIS SHOULD CHECK FOR editlock I think!
 				$output = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres);
-				t3lib_BEfunc::fixVersioningPid($table,$output,TRUE);
+				t3lib_BEfunc::fixVersioningPid($table, $output, TRUE);
 
 					// If record found, check page as well:
-				if (is_array($output))	{
+				if (is_array($output)) {
 
 						// Looking up the page for record:
 					$mres = $this->doesRecordExist_pageLookUp($output['pid'], $perms);
 					$pageRec = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres);
 						// Return true if either a page was found OR if the PID is zero AND the user is ADMIN (in which case the record is at root-level):
-					if (is_array($pageRec) || (!$output['pid'] && $this->admin))	{
+					if (is_array($pageRec) || (!$output['pid'] && $this->admin)) {
 						return TRUE;
 					}
 				}
@@ -5285,16 +5303,16 @@
 	 * @access private
 	 * @see doesRecordExist()
 	 */
-	function doesRecordExist_pageLookUp($id, $perms)	{
+	function doesRecordExist_pageLookUp($id, $perms) {
 		global $TCA;
 
 		return $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 			'uid',
 			'pages',
-			'uid='.intval($id).
+			'uid=' . intval($id) .
-				$this->deleteClause('pages').
+			$this->deleteClause('pages') .
-				($perms && !$this->admin ? ' AND '.$this->BE_USER->getPagePermsClause($perms) : '').
+			($perms && !$this->admin ? ' AND ' . $this->BE_USER->getPagePermsClause($perms) : '') .
-				(!$this->admin && $TCA['pages']['ctrl']['editlock'] && ($perms & (2+4+16)) ? ' AND '.$TCA['pages']['ctrl']['editlock'].'=0':'')	// admin users don't need check
+			(!$this->admin && $TCA['pages']['ctrl']['editlock'] && ($perms & (2 + 4 + 16)) ? ' AND ' . $TCA['pages']['ctrl']['editlock'] . '=0' : '') // admin users don't need check
 		);
 	}
 
@@ -5311,28 +5329,30 @@
 	 * @param	boolean		Recursion flag: If set, it will go out through the branch.
 	 * @return	string		List of integers in branch
 	 */
-	function doesBranchExist($inList,$pid,$perms,$recurse)	{
+	function doesBranchExist($inList, $pid, $perms, $recurse) {
 		global $TCA;
 		$pid = intval($pid);
 		$perms = intval($perms);
 
-		if ($pid>=0)	{
+		if ($pid >= 0) {
 			$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 				'uid, perms_userid, perms_groupid, perms_user, perms_group, perms_everybody',
 				'pages',
-				'pid='.intval($pid).$this->deleteClause('pages'),
+				'pid=' . intval($pid) . $this->deleteClause('pages'),
 				'',
 				'sorting'
 			);
-			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres))	{
+			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres)) {
-				if ($this->admin || $this->BE_USER->doesUserHaveAccess($row,$perms))	{	// IF admin, then it's OK
+				if ($this->admin || $this->BE_USER->doesUserHaveAccess($row, $perms)) { // IF admin, then it's OK
-					$inList.=$row['uid'].',';
+					$inList .= $row['uid'] . ',';
-					if ($recurse)	{	// Follow the subpages recursively...
+					if ($recurse) { // Follow the subpages recursively...
 						$inList = $this->doesBranchExist($inList, $row['uid'], $perms, $recurse);
-						if ($inList == -1)	{return -1;}		// No permissions somewhere in the branch
+						if ($inList == -1) {
+							return -1;
+						} // No permissions somewhere in the branch
 					}
 				} else {
-					return -1;		// No permissions
+					return -1; // No permissions
 				}
 			}
 			$GLOBALS['TYPO3_DB']->sql_free_result($mres);
@@ -5346,10 +5366,10 @@
 	 * @param	string		Table name
 	 * @return	boolean		True, if readonly
 	 */
-	function tableReadOnly($table)	{
+	function tableReadOnly($table) {
 			// returns true if table is readonly
 		global $TCA;
-		return ($TCA[$table]['ctrl']['readOnly'] ? 1 : 0);
+		return ($TCA[$table]['ctrl']['readOnly'] ? TRUE : FALSE);
 	}
 
 	/**
@@ -5358,10 +5378,10 @@
 	 * @param	string		Table name
 	 * @return	boolean		True, if readonly
 	 */
-	function tableAdminOnly($table)	{
+	function tableAdminOnly($table) {
 			// returns true if table is admin-only
 		global $TCA;
-		return ($TCA[$table]['ctrl']['adminOnly'] ? 1 : 0);
+		return ($TCA[$table]['ctrl']['adminOnly'] ? TRUE : FALSE);
 	}
 
 	/**
@@ -5372,21 +5392,21 @@
 	 * @param	integer		Page ID to test for presence inside Destination
 	 * @return	boolean		Returns false if ID is inside destination (including equal to)
 	 */
-	function destNotInsideSelf($dest,$id)	{
+	function destNotInsideSelf($dest, $id) {
 		$loopCheck = 100;
 		$dest = intval($dest);
 		$id = intval($id);
 
-		if ($dest==$id)	{
+		if ($dest == $id) {
 			return FALSE;
 		}
 
-		while ($dest!=0 && $loopCheck>0)	{
+		while ($dest != 0 && $loopCheck > 0) {
 			$loopCheck--;
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid, uid, t3ver_oid,t3ver_wsid', 'pages', 'uid='.intval($dest).$this->deleteClause('pages'));
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('pid, uid, t3ver_oid,t3ver_wsid', 'pages', 'uid=' . intval($dest) . $this->deleteClause('pages'));
-			if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+			if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
-				t3lib_BEfunc::fixVersioningPid('pages',$row);
+				t3lib_BEfunc::fixVersioningPid('pages', $row);
-				if ($row['pid']==$id)	{
+				if ($row['pid'] == $id) {
 					return FALSE;
 				} else {
 					$dest = $row['pid'];
@@ -5404,13 +5424,13 @@
 	 *
 	 * @return	array		Array of [table]-[field] pairs to exclude from editing.
 	 */
-	function getExcludeListArray()	{
+	function getExcludeListArray() {
 		$list = array();
 		foreach (array_keys($GLOBALS['TCA']) as $table) {
 			t3lib_div::loadTCA($table);
 			foreach ($GLOBALS['TCA'][$table]['columns'] as $field => $config) {
-				if ($config['exclude'] && !t3lib_div::inList($this->BE_USER->groupData['non_exclude_fields'],$table.':'.$field))	{
+				if ($config['exclude'] && !t3lib_div::inList($this->BE_USER->groupData['non_exclude_fields'], $table . ':' . $field)) {
-					$list[]=$table.'-'.$field;
+					$list[] = $table . '-' . $field;
 				}
 			}
 		}
@@ -5424,39 +5444,33 @@
 	 * @param	integer		Page doktype
 	 * @return	array		Returns a list of the tables that are 'present' on the page but not allowed with the page_uid/doktype
 	 */
-	function doesPageHaveUnallowedTables($page_uid,$doktype)	{
+	function doesPageHaveUnallowedTables($page_uid, $doktype) {
 		global $PAGES_TYPES;
 
 		$page_uid = intval($page_uid);
-		if (!$page_uid)	{
+		if (!$page_uid) {
-			return FALSE; 	// Not a number. Probably a new page
+			return FALSE; // Not a number. Probably a new page
 		}
 
 		$allowedTableList = isset($PAGES_TYPES[$doktype]['allowedTables']) ? $PAGES_TYPES[$doktype]['allowedTables'] : $PAGES_TYPES['default']['allowedTables'];
-		$allowedArray = t3lib_div::trimExplode(',',$allowedTableList,1);
+		$allowedArray = t3lib_div::trimExplode(',', $allowedTableList, 1);
-		if (strstr($allowedTableList,'*'))	{	// If all tables is OK the return true
+		if (strstr($allowedTableList, '*')) { // If all tables is OK the return true
-			return FALSE;	// OK...
+			return FALSE; // OK...
 		}
 
 		$tableList = array();
 		foreach (array_keys($GLOBALS['TCA']) as $table) {
-			if (!in_array($table,$allowedArray))	{	// If the table is not in the allowed list, check if there are records...
+			if (!in_array($table, $allowedArray)) { // If the table is not in the allowed list, check if there are records...
 				$count = $GLOBALS['TYPO3_DB']->exec_SELECTcountRows('uid', $table, 'pid=' . intval($page_uid));
 				if ($count) {
-					$tableList[]=$table;
+					$tableList[] = $table;
 				}
 			}
 		}
-		return implode(',',$tableList);
+		return implode(',', $tableList);
 	}
 
 
-
-
-
-
-
-
 	/*****************************
 	 *
 	 * Information lookup
@@ -5471,10 +5485,10 @@
 	 * @param	string		Field name for which to return value
 	 * @return	string		Value of the field. Result is cached in $this->pageCache[$id][$field] and returned from there next time!
 	 */
-	function pageInfo($id,$field)	{
+	function pageInfo($id, $field) {
-		if (!isset($this->pageCache[$id]))	{
+		if (!isset($this->pageCache[$id])) {
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'pages', 'uid='.intval($id));
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'pages', 'uid=' . intval($id));
-			if ($GLOBALS['TYPO3_DB']->sql_num_rows($res))	{
+			if ($GLOBALS['TYPO3_DB']->sql_num_rows($res)) {
 				$this->pageCache[$id] = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 			}
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
@@ -5491,11 +5505,11 @@
 	 * @param	string		Field list for the SELECT query, eg. "*" or "uid,pid,..."
 	 * @return	mixed		Returns the selected record on success, otherwise false.
 	 */
-	function recordInfo($table,$id,$fieldList)	{
+	function recordInfo($table, $id, $fieldList) {
 		global $TCA;
-		if (is_array($TCA[$table]))	{
+		if (is_array($TCA[$table])) {
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($fieldList, $table, 'uid='.intval($id));
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($fieldList, $table, 'uid=' . intval($id));
-			if ($GLOBALS['TYPO3_DB']->sql_num_rows($res))	{
+			if ($GLOBALS['TYPO3_DB']->sql_num_rows($res)) {
 				$result = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
 				$GLOBALS['TYPO3_DB']->sql_free_result($res);
 				return $result;
@@ -5514,13 +5528,13 @@
 	 * @param	boolean		If set, no workspace overlay is performed
 	 * @return	array		Properties of record
 	 */
-	function getRecordProperties($table,$id,$noWSOL=FALSE)	{
+	function getRecordProperties($table, $id, $noWSOL = FALSE) {
-		$row = ($table=='pages' && !$id) ? array('title'=>'[root-level]', 'uid' => 0, 'pid' => 0) :$this->recordInfo($table,$id,'*');
+		$row = ($table == 'pages' && !$id) ? array('title' => '[root-level]', 'uid' => 0, 'pid' => 0) : $this->recordInfo($table, $id, '*');
-		if (!$noWSOL)	{
+		if (!$noWSOL) {
-			t3lib_BEfunc::workspaceOL($table,$row);
+			t3lib_BEfunc::workspaceOL($table, $row);
 		}
 
-		return $this->getRecordPropertiesFromRow($table,$row);
+		return $this->getRecordPropertiesFromRow($table, $row);
 	}
 
 	/**
@@ -5530,15 +5544,15 @@
 	 * @param	array		Input row
 	 * @return	array		Output array
 	 */
-	function getRecordPropertiesFromRow($table,$row)	{
+	function getRecordPropertiesFromRow($table, $row) {
 		global $TCA;
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
-			t3lib_BEfunc::fixVersioningPid($table,$row);
+			t3lib_BEfunc::fixVersioningPid($table, $row);
 
 			$out = array(
 				'header' => $row[$TCA[$table]['ctrl']['label']],
 				'pid' => $row['pid'],
-				'event_pid' => $this->eventPid($table,isset($row['_ORIG_pid'])?$row['t3ver_oid']:$row['uid'],$row['pid']),
+				'event_pid' => $this->eventPid($table, isset($row['_ORIG_pid']) ? $row['t3ver_oid'] : $row['uid'], $row['pid']),
 				't3ver_state' => $TCA[$table]['ctrl']['versioningWS'] ? $row['t3ver_state'] : '',
 				'_ORIG_pid' => $row['_ORIG_pid']
 			);
@@ -5546,24 +5560,11 @@
 		}
 	}
 
-	function eventPid($table,$uid,$pid)	{
+	function eventPid($table, $uid, $pid) {
-		return $table=='pages' ? $uid : $pid;
+		return $table == 'pages' ? $uid : $pid;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Storing data to Database Layer
@@ -5579,43 +5580,45 @@
 	 * @param	array		Array of field=>value pairs to insert. FIELDS MUST MATCH the database FIELDS. No check is done.
 	 * @return	void
 	 */
-	function updateDB($table,$id,$fieldArray)	{
+	function updateDB($table, $id, $fieldArray) {
 		global $TCA;
 
-		if (is_array($fieldArray) && is_array($TCA[$table]) && intval($id))	{
+		if (is_array($fieldArray) && is_array($TCA[$table]) && intval($id)) {
-			unset($fieldArray['uid']);	// Do NOT update the UID field, ever!
+			unset($fieldArray['uid']); // Do NOT update the UID field, ever!
 
-			if (count($fieldArray))	{
+			if (count($fieldArray)) {
 
 				$fieldArray = $this->insertUpdateDB_preprocessBasedOnFieldType($table, $fieldArray);
 
-				// Execute the UPDATE query:
+					// Execute the UPDATE query:
-				$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid='.intval($id), $fieldArray);
+				$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid=' . intval($id), $fieldArray);
 
 					// If succees, do...:
-				if (!$GLOBALS['TYPO3_DB']->sql_error())	{
+				if (!$GLOBALS['TYPO3_DB']->sql_error()) {
 
-					if ($this->checkStoredRecords)	{
+					if ($this->checkStoredRecords) {
-						$newRow = $this->checkStoredRecord($table,$id,$fieldArray,2);
+						$newRow = $this->checkStoredRecord($table, $id, $fieldArray, 2);
 					}
 
 						// Update reference index:
-					$this->updateRefIndex($table,$id);
+					$this->updateRefIndex($table, $id);
 
 						// Set log entry:
-					$propArr = $this->getRecordPropertiesFromRow($table,$newRow);
+					$propArr = $this->getRecordPropertiesFromRow($table, $newRow);
-					$theLogId = $this->log($table,$id,2,$propArr['pid'],0,"Record '%s' (%s) was updated.".($propArr['_ORIG_pid']==-1?' (Offline version).':' (Online).'),10,array($propArr['header'],$table.':'.$id),$propArr['event_pid']);
+					$theLogId = $this->log($table, $id, 2, $propArr['pid'], 0, "Record '%s' (%s) was updated." . ($propArr['_ORIG_pid'] == -1 ? ' (Offline version).' : ' (Online).'), 10, array($propArr['header'], $table . ':' . $id), $propArr['event_pid']);
 
 						// Set History data:
-					$this->setHistory($table,$id,$theLogId);
+					$this->setHistory($table, $id, $theLogId);
 
 						// Clear cache for relevant pages:
-					$this->clear_cache($table,$id);
+					$this->clear_cache($table, $id);
 
 						// Unset the pageCache for the id if table was page.
-					if ($table=='pages')	unset($this->pageCache[$id]);
+					if ($table == 'pages') {
+						unset($this->pageCache[$id]);
+					}
 				} else {
-					$this->log($table,$id,2,0,2,"SQL error: '%s' (%s)",12,array($GLOBALS['TYPO3_DB']->sql_error(),$table.':'.$id));
+					$this->log($table, $id, 2, 0, 2, "SQL error: '%s' (%s)", 12, array($GLOBALS['TYPO3_DB']->sql_error(), $table . ':' . $id));
 				}
 			}
 		}
@@ -5633,24 +5636,24 @@
 	 * @param	boolean		If true, the ->substNEWwithIDs array is not updated. Only useful in very rare circumstances!
 	 * @return	integer		Returns ID on success.
 	 */
-	function insertDB($table,$id,$fieldArray,$newVersion=FALSE,$suggestedUid=0,$dontSetNewIdIndex=FALSE)	{
+	function insertDB($table, $id, $fieldArray, $newVersion = FALSE, $suggestedUid = 0, $dontSetNewIdIndex = FALSE) {
 		global $TCA;
 
-		if (is_array($fieldArray) && is_array($TCA[$table]) && isset($fieldArray['pid']))	{
+		if (is_array($fieldArray) && is_array($TCA[$table]) && isset($fieldArray['pid'])) {
-			unset($fieldArray['uid']);	// Do NOT insert the UID field, ever!
+			unset($fieldArray['uid']); // Do NOT insert the UID field, ever!
 
-			if (count($fieldArray))	{
+			if (count($fieldArray)) {
 
 					// Check for "suggestedUid".
 					// This feature is used by the import functionality to force a new record to have a certain UID value.
 					// This is only recommended for use when the destination server is a passive mirrow of another server.
 					// As a security measure this feature is available only for Admin Users (for now)
 				$suggestedUid = intval($suggestedUid);
-				if ($this->BE_USER->isAdmin() && $suggestedUid && $this->suggestedInsertUids[$table.':'.$suggestedUid])	{
+				if ($this->BE_USER->isAdmin() && $suggestedUid && $this->suggestedInsertUids[$table . ':' . $suggestedUid]) {
 						// When the value of ->suggestedInsertUids[...] is "DELETE" it will try to remove the previous record
-					if ($this->suggestedInsertUids[$table.':'.$suggestedUid]==='DELETE')	{
+					if ($this->suggestedInsertUids[$table . ':' . $suggestedUid] === 'DELETE') {
 							// DELETE:
-						$GLOBALS['TYPO3_DB']->exec_DELETEquery($table, 'uid='.intval($suggestedUid));
+						$GLOBALS['TYPO3_DB']->exec_DELETEquery($table, 'uid=' . intval($suggestedUid));
 					}
 					$fieldArray['uid'] = $suggestedUid;
 				}
@@ -5661,39 +5664,39 @@
 				$GLOBALS['TYPO3_DB']->exec_INSERTquery($table, $fieldArray);
 
 					// If succees, do...:
-				if (!$GLOBALS['TYPO3_DB']->sql_error())	{
+				if (!$GLOBALS['TYPO3_DB']->sql_error()) {
 
 						// Set mapping for NEW... -> real uid:
-					$NEW_id = $id;		// the NEW_id now holds the 'NEW....' -id
+					$NEW_id = $id; // the NEW_id now holds the 'NEW....' -id
 					$id = $GLOBALS['TYPO3_DB']->sql_insert_id();
-					if (!$dontSetNewIdIndex)	{
+					if (!$dontSetNewIdIndex) {
 						$this->substNEWwithIDs[$NEW_id] = $id;
 						$this->substNEWwithIDs_table[$NEW_id] = $table;
 					}
 
 						// Checking the record is properly saved and writing to log
-					if ($this->checkStoredRecords)	{
+					if ($this->checkStoredRecords) {
-						$newRow = $this->checkStoredRecord($table,$id,$fieldArray,1);
+						$newRow = $this->checkStoredRecord($table, $id, $fieldArray, 1);
 					}
 
 						// Update reference index:
-					$this->updateRefIndex($table,$id);
+					$this->updateRefIndex($table, $id);
 
-					if ($newVersion)	{
+					if ($newVersion) {
-						$propArr = $this->getRecordPropertiesFromRow($table,$newRow);
+						$propArr = $this->getRecordPropertiesFromRow($table, $newRow);
-						$this->log($table,$id,1,0,0,"New version created of table '%s', uid '%s'. UID of new version is '%s'",10,array($table,$fieldArray['t3ver_oid'],$id),$propArr['event_pid'],$NEW_id);
+						$this->log($table, $id, 1, 0, 0, "New version created of table '%s', uid '%s'. UID of new version is '%s'", 10, array($table, $fieldArray['t3ver_oid'], $id), $propArr['event_pid'], $NEW_id);
 					} else {
-						$propArr = $this->getRecordPropertiesFromRow($table,$newRow);
+						$propArr = $this->getRecordPropertiesFromRow($table, $newRow);
-						$page_propArr = $this->getRecordProperties('pages',$propArr['pid']);
+						$page_propArr = $this->getRecordProperties('pages', $propArr['pid']);
-						$this->log($table,$id,1,0,0,"Record '%s' (%s) was inserted on page '%s' (%s)",10,array($propArr['header'],$table.':'.$id,$page_propArr['header'],$newRow['pid']),$newRow['pid'],$NEW_id);
+						$this->log($table, $id, 1, 0, 0, "Record '%s' (%s) was inserted on page '%s' (%s)", 10, array($propArr['header'], $table . ':' . $id, $page_propArr['header'], $newRow['pid']), $newRow['pid'], $NEW_id);
 
 							// Clear cache for relavant pages:
-						$this->clear_cache($table,$id);
+						$this->clear_cache($table, $id);
 					}
 
 					return $id;
 				} else {
-					$this->log($table,$id,1,0,2,"SQL error: '%s' (%s)",12,array($GLOBALS['TYPO3_DB']->sql_error(),$table.':'.$id));
+					$this->log($table, $id, 1, 0, 2, "SQL error: '%s' (%s)", 12, array($GLOBALS['TYPO3_DB']->sql_error(), $table . ':' . $id));
 				}
 			}
 		}
@@ -5709,26 +5712,26 @@
 	 * @return	array		Selected row
 	 * @see insertDB(), updateDB()
 	 */
-	function checkStoredRecord($table,$id,$fieldArray,$action)	{
+	function checkStoredRecord($table, $id, $fieldArray, $action) {
 		global $TCA;
 
 		$id = intval($id);
-		if (is_array($TCA[$table]) && $id)	{
+		if (is_array($TCA[$table]) && $id) {
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid='.intval($id));
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid=' . intval($id));
-			if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+			if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
-				// Traverse array of values that was inserted into the database and compare with the actually stored value:
+					// Traverse array of values that was inserted into the database and compare with the actually stored value:
 				$errorString = array();
-				foreach($fieldArray as $key => $value)	{
+				foreach ($fieldArray as $key => $value) {
-					if ($this->checkStoredRecords_loose && !$value && !$row[$key])	{
+					if ($this->checkStoredRecords_loose && !$value && !$row[$key]) {
 						// Nothing...
-					} elseif (strcmp($value,$row[$key]))	{
+					} elseif (strcmp($value, $row[$key])) {
 						$errorString[] = $key;
 					}
 				}
 
 					// Set log message if there were fields with unmatching values:
-				if (count($errorString))	{
+				if (count($errorString)) {
-					$this->log($table,$id,$action,0,102,'These fields are not properly updated in database: ('.implode(',',$errorString).') Probably value mismatch with fieldtype.');
+					$this->log($table, $id, $action, 0, 102, 'These fields are not properly updated in database: (' . implode(',', $errorString) . ') Probably value mismatch with fieldtype.');
 				}
 
 					// Return selected rows:
@@ -5746,23 +5749,23 @@
 	 * @param	integer		Log entry ID, important for linking between log and history views
 	 * @return	void
 	 */
-	function setHistory($table,$id,$logId)	{
+	function setHistory($table, $id, $logId) {
-		if (isset($this->historyRecords[$table.':'.$id]))	{
+		if (isset($this->historyRecords[$table . ':' . $id])) {
 
 				// Initialize settings:
-			list($tscPID) = t3lib_BEfunc::getTSCpid($table,$id,'');
+			list($tscPID) = t3lib_BEfunc::getTSCpid($table, $id, '');
 			$TSConfig = $this->getTCEMAIN_TSconfig($tscPID);
 
-			$tE = $this->getTableEntries($table,$TSConfig);
+			$tE = $this->getTableEntries($table, $TSConfig);
-			$maxAgeSeconds = 60*60*24*(strcmp($tE['history.']['maxAgeDays'],'') ? t3lib_div::intInRange($tE['history.']['maxAgeDays'],0,365) : 30);	// one month
+			$maxAgeSeconds = 60 * 60 * 24 * (strcmp($tE['history.']['maxAgeDays'], '') ? t3lib_div::intInRange($tE['history.']['maxAgeDays'], 0, 365) : 30); // one month
 
 				// Garbage collect old entries:
 			$this->clearHistory($maxAgeSeconds, $table);
 
 				// Set history data:
 			$fields_values = array();
-			$fields_values['history_data'] = serialize($this->historyRecords[$table.':'.$id]);
+			$fields_values['history_data'] = serialize($this->historyRecords[$table . ':' . $id]);
-			$fields_values['fieldlist'] = implode(',',array_keys($this->historyRecords[$table.':'.$id]['newRecord']));
+			$fields_values['fieldlist'] = implode(',', array_keys($this->historyRecords[$table . ':' . $id]['newRecord']));
 			$fields_values['tstamp'] = $GLOBALS['EXEC_TIME'];
 			$fields_values['tablename'] = $table;
 			$fields_values['recuid'] = $id;
@@ -5779,11 +5782,11 @@
 	 * @param	string		table where the history should be cleared
 	 * @return	void
 	 */
-	function clearHistory($maxAgeSeconds=604800,$table)	{
+	function clearHistory($maxAgeSeconds = 604800, $table) {
 		$tstampLimit = $maxAgeSeconds ? $GLOBALS['EXEC_TIME'] - $maxAgeSeconds : 0;
 
-		$GLOBALS['TYPO3_DB']->exec_DELETEquery('sys_history', 'tstamp<'.intval($tstampLimit).' AND tablename='.$GLOBALS['TYPO3_DB']->fullQuoteStr($table, 'sys_history'));
+		$GLOBALS['TYPO3_DB']->exec_DELETEquery('sys_history', 'tstamp<' . intval($tstampLimit) . ' AND tablename=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($table, 'sys_history'));
-		}
+	}
 
 	/**
 	 * Update Reference Index (sys_refindex) for a record
@@ -5793,24 +5796,13 @@
 	 * @param	integer		Record UID
 	 * @return	void
 	 */
-	function updateRefIndex($table,$id)	{
+	function updateRefIndex($table, $id) {
 		$refIndexObj = t3lib_div::makeInstance('t3lib_refindex');
 		/* @var $refIndexObj t3lib_refindex */
-		$result = $refIndexObj->updateRefIndexTable($table,$id);
+		$result = $refIndexObj->updateRefIndexTable($table, $id);
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Misc functions
